﻿
<div class="container fluid">
    <div class="row" style="background-color:pink; border: brown;">
        <div class="col-sm-2" ></div>
        <div class="col-sm-2"> <br>
            <img src=" account/uuser.png" class="smallLogo" style="width:200px;height:200px; "/>
        </div>
        <div class="col-sm-1"></div>
        <div class="col-sm-7">
            <br>
            <h3 style="color: black"><label>{{vm.user.name}}<label></label></h3>
            <h4 style="color:hsl(0, 100%, 25%);"><label>{{vm.user.matricNo}}</label></h4>
            <h5 style="color:hsl(0, 100%, 25%);"><label>{{vm.user.course}}</label></h5>
            <br>
            <h5><label>Email : {{vm.user.username}}@graduate.utm.my</label></h5>
            <h5><label>Phone : {{vm.user.phoneNo}}</label></h5>
        </div>
    </div>
</div>



<head>
    
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js"></script>
    <link href="https://cdnjs.cloudflare.com/ajax/libs/mdbootstrap/4.16.0/css/mdb.min.css" rel="stylesheet">


  </head>

  <head>
    <meta charset="utf-8" />
    <meta name ="viewport" content="width-device-width, initial -scale=1">
    
    <link href="//maxcdn.bootstrapcdn.com/bootstrap/3.3.5/css/bootstrap.min.css" rel="stylesheet" />
    <link href="//maxcdn.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.js" rel="stylesheet" />
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/jquery.min.js"></script>
    <link href="app-content/app.css" rel="stylesheet" />
</head>

<body class="container">
    <!-- header -->
    <header>
        <br>
        <ul class="nav nav-tabs">
            <li ng-class="{active: activeTab === 'home'}"><a ui-sref="home">Home</a></li>
            <li ng-class="{active: activeTab === 'account'}"><a ui-sref="account">Profile</a></li>
            <li><a href="/login" target="_self">Logout</a></li>
        </ul>
        <div class="flash-message" ng-if="flash">
            <div class="{{'alert alert-' + flash.type}}" ng-bind="flash.message"></div>
        </div>
    </header>

    <!-- main -->
    <main ui-view></main>

    <!-- footer -->
    <footer></footer>

<br>
<!-- Basic Information -->
<h4 style="text-align: left;">Basic Information</h4>
<hr style="height:2px;border-width:0;color:gray;background-color:gray">
<div class="form-container">
    <form method="post">

        
        <!-- left -->
        <div class='row'> 
        <div class="col">
            <div class="form-group">
                <label for="name">Name</label>
                <input type="text" id="name" class="form-control" ng-model="vm.user.name" required disabled />
            </div>

            <div class="form-group">
                <label for="ic">IC Number</label>
                <input type="text" id="ic" class="form-control" ng-model="vm.user.ic" required disabled />
            </div>
        </div>

        <!-- right -->
        <div class="col">
            <div class="form-group">
                <label for="lastName" class="disabled">Matric Number</label>
                <input type="text" id="matricNo" class="form-control" ng-model="vm.user.matricNo" required disabled />
            </div>

            <div class="form-group">
                <label for="username" class="disabled">UTM ID</label>
                <input type="text" id="username" class="form-control" ng-model="vm.user.username" required disabled />
            </div>
        </div>

        </div>
        
        

        <!-- <div class="form-group">
            <label for="username">Username</label>
            <input type="text" id="username" class="form-control" ng-model="vm.user.username" required />
        </div>
        <div class="form-group">
            <label for="password">Password</label>
            <input type="password" id="password" class="form-control" ng-model="vm.user.password" />
        </div> -->
        <!-- <div class="form-group">
            <button class="btn btn-primary" ng-click="vm.saveUser()">Save</button>
            <button class="btn btn-danger" ng-click="vm.deleteUser()">Delete</button>
        </div> -->
    </form>
</div>    <!-- END Basic Information -->
<br>


<!-- Academic Information -->
<h4 style="text-align: left;">Academic Information</h4>
<hr style="height:2px;border-width:0;color:gray;background-color:gray">
<div class="form-container">
    <form method="post">

        <div class='row'> 
            <!-- left --> 
            <div class="col">    
            <div class="form-group">
                <label for="faculty" class="disabled">Faculty</label>
                <input type="text" id="faculty" class="form-control" ng-model="vm.user.faculty" required disabled />
            </div>

            <div class="form-group">
                <label for="yearEnroll" class="disabled">Enroll Year </label>
                <input type="text" id="yearEnroll" class="form-control" ng-model="vm.user.yearEnroll" required disabled  />
            </div>

            <div class="form-group">
                <label for="status" class="disabled">Student Status </label>
                <input type="text" id="status" class="form-control" ng-model="vm.user.status" required disabled  />
            </div>
            </div>

            <!-- right -->
            <div class="col">
            <div class="form-group">
                <label for="course" class="disabled">Course</label>
                <input type="text" id="course" class="form-control" ng-model="vm.user.course" required disabled  />
            </div>
            
            <div class="form-group">
                <label for="yearGrad" class="disabled">Expected Graduate Year</label>
                <input type="text" id="yearGrad" class="form-control" ng-model="vm.user.yearGrad" required disabled />
            </div>

            </div>
        </div>

    </form>

</div>
<!-- END Academic Information -->
<br><br>

<!-- Personal Information -->
<h4 style="text-align: left;">Personal Information</h4>
<hr style="height:2px;border-width:0;color:gray;background-color:gray">
<div class="form-container">
    <form method="post">

        <div class='row'> 
            <!-- left --> 
            <div class="col">    
            <div class="form-group">
                <label for="gender" class="disabled">Gender</label>
                <input type="text" id="gender" class="form-control" ng-model="vm.user.gender" required disabled />
            </div>

            <div class="form-group">
                <label for="religion" class="disabled">Religion </label>
                <input type="text" id="religion" class="form-control" ng-model="vm.user.religion" required disabled  />
            </div>

            <div class="form-group">
                <label for="dob" class="disabled">Date of Birth</label>
                <input type="text" id="dob" class="form-control" ng-model="vm.user.dob" required disabled  />
            </div>

            <div class="form-group">
                <label for="marriage" class="disabled">Marriage Status</label>
                <input type="text" id="marriage" class="form-control" ng-model="vm.user.marriage" required disabled  />
            </div>

            <div class="form-group">
                <label for="address" class="disabled">Home Address</label>
                <input type="text" id="address" class="form-control" ng-model="vm.user.address" required disabled  />
            </div>


            </div>

            <!-- right -->
            <div class="col">
            <div class="form-group">
                <label for="nation" class="disabled">Nationality</label>
                <input type="text" id="nation" class="form-control" ng-model="vm.user.nation" required disabled  />
            </div>
            
            <div class="form-group">
                <label for="race" class="disabled">Race</label>
                <input type="text" id="race" class="form-control" ng-model="vm.user.race" required disabled />
            </div>

            <div class="form-group">
                <label for="sob" class="disabled">State of Birth</label>
                <input type="text" id="sob" class="form-control" ng-model="vm.user.sob" required disabled />
            </div>

            <div class="form-group">
                <label for="dissability" class="disabled">Dissability</label>
                <input type="text" id="dissability" class="form-control" ng-model="vm.user.dissability" required disabled />
            </div>

            </div>
        </div>

    </form>

</div>
<!-- END Personal Information -->

<br><br>
<!-- Referee Information -->
<h4 style="text-align: left;">Referee</h4>
<hr style="height:2px;border-width:0;color:gray;background-color:gray">
<div class="form-container">
    <form method="post">

        <div class='row'> 
            <!-- left --> 
            <div class="col">    
            <div class="form-group">
                <label for="parent1" class="disabled">Guardian Name 1</label>
                <input type="text" id="parent1" class="form-control" ng-model="vm.user.parent1" required disabled />
            </div>

            <div class="form-group">
                <label for="addressp1" class="disabled">Address</label>
                <input type="text" id="addressp1" class="form-control" ng-model="vm.user.addressp1" required disabled  />
            </div>

            <div class="form-group">
                <label for="occupation1" class="disabled">Occupation</label>
                <input type="text" id="occupation1" class="form-control" ng-model="vm.user.occupation1" required disabled  />
            </div>

            <div class="form-group">
                <label for="salary1" class="disabled">Salary</label>
                <input type="text" id="salary1" class="form-control" ng-model="'RM ' + vm.user.salary1" required disabled  />
            </div>


            </div>

            <!-- right -->
            <div class="col">
            <div class="form-group">
                <label for="icp1" class="disabled">IC Number</label>
                <input type="text" id="icp1" class="form-control" ng-model="vm.user.icp1" required disabled  />
            </div>
            
            <div class="form-group">
                <label for="relationship1" class="disabled">Relationship</label>
                <input type="text" id="relationship1" class="form-control" ng-model="vm.user.relationship1" required disabled />
            </div>

            <div class="form-group">
                <label for="phoneNo1" class="disabled">Phone Number</label>
                <input type="text" id="phoneNo1" class="form-control" ng-model="vm.user.phoneNo1" required disabled />
            </div>

            </div>
        </div>



<br><br>

<div class='row'> 
    <!-- left --> 
    <div class="col">    
    <div class="form-group">
        <label for="parent2" class="disabled">Guardian Name 2</label>
        <input type="text" id="parent2" class="form-control" ng-model="vm.user.parent2" required disabled />
    </div>

    <div class="form-group">
        <label for="addressp2" class="disabled">Address</label>
        <input type="text" id="addressp2" class="form-control" ng-model="vm.user.addressp2" required disabled  />
    </div>

    <div class="form-group">
        <label for="occupation2" class="disabled">Occupation</label>
        <input type="text" id="occupation2" class="form-control" ng-model="vm.user.occupation2" required disabled  />
    </div>

    <div class="form-group">
        <label for="salary2" class="disabled">Salary</label>
        <input type="text" id="salary2" class="form-control" ng-model="'RM ' + vm.user.salary2" required disabled  />
    </div>


    </div>

    <!-- right -->
    <div class="col">
    <div class="form-group">
        <label for="icp2" class="disabled">IC Number</label>
        <input type="text" id="icp2" class="form-control" ng-model="vm.user.icp2" required disabled  />
    </div>
    
    <div class="form-group">
        <label for="relationship2" class="disabled">Relationship</label>
        <input type="text" id="relationship2" class="form-control" ng-model="vm.user.relationship2" required disabled />
    </div>

    <div class="form-group">
        <label for="phoneNo1" class="disabled">Phone Number</label>
        <input type="text" id="phoneNo1" class="form-control" ng-model="vm.user.phoneNo1" required disabled />
    </div>

    </div>
</div>
    </form>

</div>
<!-- END Referee Information -->


<br><br>
<!-- Contact Information -->
<h4 style="text-align: left;">Contact Information</h4>
<hr style="height:2px;border-width:0;color:gray;background-color:gray">
<div class="form-container">
    <form method="post">

        <div class='row'> 
            <!-- left --> 
            <div class="col">    
            <div class="form-group">
                <label for="email">Email</label>
                <input type="text" id="email" class="form-control" ng-model="vm.user.email" required  />
            </div>

            <div class="form-group">
                <label for="phoneNo">Phone Number</label>
                <input type="text" id="phoneNo" class="form-control" ng-model="vm.user.phoneNo" required  />
            </div>
            </div>

            <!-- right -->
            <div class="col">
            <div class="form-group">
                <label for="email" class="disabled">Email Primary</label>
                <input type="text" id="email" class="form-control" ng-model="vm.user.username +'@graduate.utm.my'" required disabled />
            </div>

            </div>
        </div>
        <!-- Save Button -->
        <div class="form-group">
            <button class="btn btn-primary" ng-click="vm.saveUser()">Save</button>
            <!-- <button class="btn btn-danger" ng-click="vm.deleteUser()">Delete</button> -->
        </div>

    </form>

</div>
<!-- END Contact Information -->



<!-- external scripts -->
<script src="//ajax.googleapis.com/ajax/libs/jquery/2.1.4/jquery.min.js"></script>
<script src="//ajax.googleapis.com/ajax/libs/angularjs/1.4.7/angular.min.js"></script>
<script src="//cdnjs.cloudflare.com/ajax/libs/angular-ui-router/0.2.15/angular-ui-router.min.js"></script>
</body>